# Oh! Forum

The `OhForum` contract acts as the Proposer in the Proposer-Executor model. The Forum keeps a record of all user proposals and votes. User votes are tallied by finding the amount of Oh! Finance Tokens delegated to the user at the proposal's starting block.

## Parameters

* `quorumVotes` - **4,000,000 OH** - Minimum votes required for a proposal to be considered valid
* `proposalThreshold` - **1,000,000** **OH** - Minimum amount of tokens required to make a proposal
* `votingDelay` - **1** - Time period in blocks that must pass before a proposal can be voted on
* `votingPeriod` - **17280 (\~3 days)** - *\*\**&#x54;ime period in blocks that a proposal can be voted on
* `maxOperations` - **10** - Maximum amount of functions that be included in each proposal

## Proposals

Proposals are a set of on-chain functions that modify the Oh! Finance protocol. These proposals could contain instructions to add contracts for a new Yield Index to the protocol, change protocol parameters, or upgrade a proxy contract.

## Voting Phases

Once a proposal has been made, it enters into a review phase where voting is not yet allowed, the `votingDelay`. As soon as the review phase ends, delegated users can cast votes during the voting phase, the `votingPeriod`. If quorum has been met and the proposal has a majority passing votes, then the proposal can be queued up for execution on the Oh! Governor.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.oh.finance/protocol/oh-governance/oh-forum.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
